<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Graph Selection</title>
     <style>

        * {
            box-sizing: border-box;
            margin: 0;
            padding: 0;
        }

        body, html {
            height: 100%;
            font-family: Inter, Avenir, Helvetica, Arial, sans-serif;
        }

        /* Main container styling */
        .container {
            background-color: #fff;
            width: 50%;
            margin: 5% auto;
            padding: 2em;
            box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1);
            border-radius: 8px;
        }

        /* Card header styling */
        .card-header {
            display: flex;
            align-items: center;
            margin-bottom: 2em;
            justify-content: center;
            text-align: center;
        }

        .card-header h1 {
            font-size: 1.5rem;
            color: #333;
            text-align: center;
            margin-bottom: 20px;
        }

        /* Form input styling */
        .form-input {
            margin-bottom: 1em;
            padding-bottom: 0.5em;
            border: none;
            border-bottom: 2px solid #e0e0e0;
            width: 100%;
            font-size: 1rem;
        }

        .form-input:focus {
            outline: none;
            border-bottom-color: #646cff;
        }

        /* Error message styling */
        .error-message {
            color: #d32f2f;
            font-size: 0.875rem;
            margin-top: 0.25rem;
            display: none; /* Hidden by default */
        }

        /* Button styling */
        button {
            background-color: #646cff;
            color: white;
            padding: 0.75em 1.5em;
            border: none;
            border-radius: 4px;
            font-size: 1rem;
            cursor: pointer;
            transition: background-color 0.3s;
        }

        button:hover {
            background-color: #535bf2;
        }

        /* Button container to manage spacing and layout */
        .buttons-container {
            display: flex;
            justify-content: space-around; /* add equal space around the buttons */
            width: 100%; /* Full width to spread out the buttons */
        }

        /* Responsive design */
        @media (max-width: 768px) {
            .container {
                width: 80%;
            }
        }
    </style>
</head>
<body>
    <div class="container">
        <div class="card-header">
            <h1>Choose a Graph</h1>
        </div>
        <div class="controls-container">
            <select id="graphs" name="graphs" class="form-input">
                <!-- Graph options are populated/ filled here -->
            </select>
            <div class="error-message">Please select a graph</div>
        </div>
        <div class="buttons-container">
            <button id="download-btn">Download Graph as RDF</button>
            <button id="load-editor-btn">Download Graph as Json</button>
         </div>
    </div>

<script>
    document.addEventListener('DOMContentLoaded', function() {
        const selectElement = document.getElementById('graphs');
        const downloadButton = document.getElementById('download-btn');
        const loadEditorButton = document.getElementById('load-editor-btn');

        fetch('/get_graph_names')
            .then(response => response.json())
            .then(graphs => {
                graphs.forEach(graph => {
                    const graphNameParts = graph.graphName.split('/');
                    const shortName = graphNameParts[graphNameParts.length - 1]; // only last part IRI
                    const option = document.createElement('option');
                    option.value = graph.graphName;
                    option.textContent = shortName;
                    selectElement.appendChild(option);
                });
            })
            .catch(error => console.error('Error fetching graph names:', error));

        downloadButton.addEventListener('click', function() {
            const selectedGraphIRI = encodeURIComponent(selectElement.value);
            if (selectedGraphIRI) {
                window.location.href = `/download_graph/${selectedGraphIRI}`;
            }
        });

        loadEditorButton.addEventListener('click', function() {
    const selectedGraphIRI = encodeURIComponent(selectElement.value);
    if (selectedGraphIRI) {
        window.location.href = `/process_and_download_graph/${selectedGraphIRI}`;
    }
});
    });
</script>

</body>
</html>
